## xmpppy-0.7.2.tar.gz

=== Makefile ===

#MODULESDIR=/usr/lib/($PYTHONVERSION)/site-packages

.PHONY: apidocs install

apidocs:
	epydoc -q -o doc/apidocs xmpp/

install:
	# Add here commands to install the package into debian/python-xmpp
	[ -d $(MODULESDIR)/xmpp ] || mkdir $(MODULESDIR)/xmpp
	install -m 0644 xmpp/*py $(MODULESDIR)/xmpp

#release: bumpversion push sdist pypi-upload
release: push sdist pypi-upload


# ===============
# Utility targets
# ===============
bumpversion: install-releasetools check-bump-options
	$(bumpversion) $(bump)

push:
	git push && git push --tags

sdist:
	python setup.py sdist

pypi-upload:
	twine upload --skip-existing --verbose dist/*.tar.gz

install-releasetools: setup-virtualenv2
	@$(pip) install --quiet --requirement requirements-release.txt --upgrade

check-bump-options:
	@if test "$(bump)" = ""; then \
		echo "ERROR: 'bump' not set, try 'make release bump={patch,minor,major}'"; \
		exit 1; \
	fi

=== debian/changelog ===
python-xmpp (0.5.0-rc1) unstable; urgency=low

  * New upstream release.

 -- Gabriel Ebner <gebner@2b7e.org>  Tue, 24 May 2011 22:42:11 +0200

python-xmpp (0.4-1) unstable; urgency=low

  * New upstream release
  * Tweaked package description. Closes: #381360.

 -- Norman Rasmussen <norman@darkskies.za.net>  Thu,  5 Oct 2006 22:53:51 +0200

python-xmpp (0.3.1-1.1) unstable; urgency=low

  * NMU.
  * Convert to updated Python policy. Closes: #373369.

 -- Matthias Klose <doko@debian.org>  Thu,  6 Jul 2006 14:29:59 +0000

python-xmpp (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Added dependency to python-dns package.
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Sat, 25 Mar 2006 09:35:32 +0300

python-xmpp (0.3-1) unstable; urgency=low

  * New upstream release
  * Update of python2.3-xmpp for debian/testing required.
    Closes: #312227
  * Please stop build modules for python2.1/python2.2
    closes: #351154
  * New Upstream available (0.3). Closes: #356149
  * /usr/lib/python2.3/site-packages/xmpp/features.py: error in
    setPrivacyList. Closes: #321348
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Mon, 13 Mar 2006 09:40:17 +0300

python-xmpp (0.2-rc3-1) unstable; urgency=low

  * Sync with latest released version.
    closes: #307988
  * Added bugfixes from current CVS.
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Thu, 12 May 2005 11:41:34 +0400

python-xmpp (0.2-rc2-1) unstable; urgency=low

  * Sync with latest released version.
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Wed,  4 May 2005 20:51:11 +0400

python-xmpp (0.2-rc1-1) unstable; urgency=low

  * Sync with latest released version. 
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Fri, 11 Mar 2005 20:45:54 +0300

python-xmpp (0.1.1-1) unstable; urgency=low

  * Sync with latest released version. 
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Sat, 25 Sep 2004 08:22:52 +0400

python-xmpp (0.1-rc4-1) unstable; urgency=low

  * Sync with latest released version. 
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Thu,  5 Aug 2004 19:31:08 +0400

python-xmpp (0.1-rc3-2) unstable; urgency=low

  * Added bugfixes from CVS version.
  * Generated and added changelog.
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Sun, 27 Jun 2004 11:26:31 +0400

python-xmpp (0.1-rc3-1) unstable; urgency=low

  * Sync with latest released version.
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Thu, 24 Jun 2004 06:51:06 +0400

python-xmpp (0.1-rc2-2) unstable; urgency=low

  * Added bugfixes from CVS version.
  * Added python to "Build-Depends". Closes: #254368
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Tue, 15 Jun 2004 09:09:01 +0400

python-xmpp (0.1-rc2-1) unstable; urgency=low

  * Sync with latest released version.
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Fri, 28 May 2004 23:39:31 +0400

python-xmpp (0.1-rc1-1) unstable; urgency=low

  * Sync with latest released version.
  * Closes ITP
    closes: #246560
  * Sponsored upload by Cosimo Alfarano <kalfa@debian.org>

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Tue,  4 May 2004 11:59:56 +0400

python-xmpp (0.1-pre4-1) unstable; urgency=low

  * Initial Release.

 -- Alexey Nezhdanov <snakeru@users.sourceforge.net>  Sat, 28 Feb 2004 10:40:47 +0300

=== debian/control ===
Source: python-xmpp
Section: python
Priority: optional
Maintainer: Alexey Nezhdanov <snakeru@users.sourceforge.net>
Build-Depends-Indep: debhelper (>= 5.0.37.2), python (>= 2.3.5-11), python-central (>= 0.5), python-epydoc
Standards-Version: 3.6.2
XS-Python-Version: all
Uploaders: Cosimo Alfarano <kalfa@debian.org>

Package: python-xmpp
Architecture: all
Depends: ${python:Depends}
Conflicts: python2.3-xmpp, python2.4-xmpp
Replaces: python2.3-xmpp, python2.4-xmpp
Recommends: python-dnspython
XB-Python-Version: ${python:Versions}
Description: Python library for communication with XMPP servers
 This is a set of modules providing functionality for writing
 xmpp-compliant clients, servers and/or components/transports in python.
 .
 This library was initially designed as a "rework" of the jabberpy library
 but has become a separate product.
 .
 Unlike jabberpy it is distributed under the terms of GPL.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

# python version for which a pkg will be build
PYVERSIONS= $(shell pyversions -r debian/control)
export PYVERSIONS

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
	make apidocs

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f $(CURDIR)/*pyo
	rm -f $(CURDIR)/*pyc
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -v

	# Add here commands to install the package into debian/python-xmpp
	set -e; \
	for v in $(PYVERSIONS); do \
	  mkdir -p debian/python-xmpp/usr/lib/$$v/site-packages/xmpp; \
	  make install MODULESDIR=$(CURDIR)/debian/python-xmpp/usr/lib/$$v/site-packages/; \
	done


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	
	[ -d examples ] || mkdir examples
	cp -r doc/examples/* examples
	[ -d html ] || mkdir html
	cp -r doc/*html doc/apidocs html
	
	dh_installdocs -i
	dh_installexamples -i
	#dh_installchangelogs -i ChangeLog
	dh_link -i
	dh_compress -i -X.py
	dh_fixperms -i
	dh_pycentral -i
	dh_python -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i
	
	rm -rf html examples

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
